Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.content
Class PageflowURLHelper

    java.lang.Object
      com.bea.netuix.servlets.controls.content.PageflowURLHelper

    public class PageflowURLHelper

extends Object

Use of this class is discouraged. IPC (Interportlet communication) provides a cleaner and more robust way of triggering pageflow actions. URLs generated by this class will not work on remote portlets.

Field Summary
`static String` | `ACTION_SECURE` Value to pass to the `type` parameter of `createURL` for a secure (https) action URL
`static String` | `ACTION_UNSECURE` Value to pass to the `type` parameter of `createURL` for a non-secure (http) action URL
`static String` | `RESOURCE_SECURE` Value to pass to the `type` parameter of `createURL` for a secure (https) resource URL
`static String` | `RESOURCE_UNSECURE` Value to pass to the `type` parameter of `createURL` for a non-secure (http) resource URL

Constructor Summary
`PageflowURLHelper()`

Method Summary
`static String` | `createURL(ServletContext servletContext, ServletRequest request, ServletResponse response, String url, String type, String pageFlowName, String targetPageLabel)` Creates a portal framework version of a given page flow URL.
`static String` | `createURL(ServletContext servletContext, ServletRequest request, ServletResponse response, String url, String type, String pageFlowName, String targetPageLabel, boolean encodePageLabel)` Creates a portal framework version of a given page flow URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_UNSECURE

    public static final String ACTION_UNSECURE

  Value to pass to the `type` parameter of `createURL` for a non-secure (http) action URL

### ACTION_SECURE

    public static final String ACTION_SECURE

  Value to pass to the `type` parameter of `createURL` for a secure (https) action URL

### RESOURCE_SECURE

    public static final String RESOURCE_SECURE

  Value to pass to the `type` parameter of `createURL` for a secure (https) resource URL

### RESOURCE_UNSECURE

    public static final String RESOURCE_UNSECURE

  Value to pass to the `type` parameter of `createURL` for a non-secure (http) resource URL

Constructor Detail

### PageflowURLHelper

    public PageflowURLHelper()

Method Detail

### createURL

    public static String createURL(ServletContext servletContext,
                                   ServletRequest request,
                                   ServletResponse response,
                                   String url,
                                   String type,
                                   String pageFlowName,
                                   String targetPageLabel)

  Creates a portal framework version of a given page flow URL. This method assumes that the `targetPageLabel` parameter does not need to be encoded. This method must be called from within a pageflow action. Use of this class is discouraged. IPC (Interportlet communication) provides a cleaner and more robust way of triggering pageflow actions. URLs generated by this class will not work on remote portlets.

  Parameters
    `servletContext` - the current ServletContext
    `request` - the current ServletRequest
    `response` - the current ServletResponse
    `url` - the PageFlow URL we are rewriting
    `type` - one of the constants defined in this class ACTION_UNSECURE, ACTION_SECURE, RESOURCE_SECURE, or RESOURCE_UNSECURE
    `pageFlowName` - the name of the pageflow that the target of the `url` parameter exists in.
    `targetPageLabel` - the target page in the portal
  Returns
    a Portal framework Pageflow URL

### createURL

    public static String createURL(ServletContext servletContext,
                                   ServletRequest request,
                                   ServletResponse response,
                                   String url,
                                   String type,
                                   String pageFlowName,
                                   String targetPageLabel,
                                   boolean encodePageLabel)

  Creates a portal framework version of a given page flow URL. This method must be called from within a pageflow action. Use of this class is discouraged. IPC (Interportlet communication) provides a cleaner and more robust way of triggering pageflow actions. URLs generated by this class will not work on remote portlets.

  Parameters
    `servletContext` - the current ServletContext
    `request` - the current ServletRequest
    `response` - the current ServletResponse
    `url` - the PageFlow URL we are rewriting
    `type` - one of the constants defined in this class ACTION_UNSECURE, ACTION_SECURE, RESOURCE_SECURE, or RESOURCE_UNSECURE
    `pageFlowName` - the name of the pageflow that the target of the `url` parameter exists in.
    `targetPageLabel` - the target page in the portal
    `encodePageLabel` - true if the `targetPageLabel` parameter needs to be URL encoded false otherwise.
  Returns
    a Portal framework Pageflow URL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved